Package org.eclipse.cdt.core.settings.model

# Interface ICTargetPlatformSetting

All Superinterfaces:
  `ICSettingBase`, `ICSettingObject`

public interface ICTargetPlatformSetting extends ICSettingObject

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getBinaryParserIds()`
`void`
`setBinaryParserIds(String[] ids)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

## Method Details

### getBinaryParserIds

String[] getBinaryParserIds()

### setBinaryParserIds

void setBinaryParserIds(String[] ids)